Conversations
Snooze Conversation
Snooze a conversation for a given amount of minutes and seconds. When time is over, status will change to “to-do” and a webhook of type “conversation-snoozed” will be sent. Use null or 0 to remove. Caution: scheduler will check every minute.
POST
/
conversations
/
{id}
/
snooze
Snooze a conversation for a given amount of minutes and seconds.
When time is over, status will change to "to-do" and a webhook of type "conversation-snoozed" will be sent.
Use null or 0 to remove.
Caution: scheduler will check every minute.
curl --request POST \
--url https://1-some-client.some-server.healvi-chat/third-party/v1/conversations/{id}/snooze \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"minutes": 123,
"seconds": 123
}
'import requests
url = "https://1-some-client.some-server.healvi-chat/third-party/v1/conversations/{id}/snooze"
payload = {
"minutes": 123,
"seconds": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({minutes: 123, seconds: 123})
};
fetch('https://1-some-client.some-server.healvi-chat/third-party/v1/conversations/{id}/snooze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"created_at": "2023-01-01T12:00:00Z",
"snooze_until": "2023-01-01T12:00:00Z",
"agent": {
"id": 123,
"display_id": 4915223567929,
"name": "John Doe",
"in_sync": true,
"unread_conversations_count": 123
},
"customer": {
"id": 123,
"display_id": 4915223567929,
"name": "John Doe",
"profile": {
"id": 123,
"name": "John Doe",
"blocked": true,
"date_of_birth": "1970-01-01",
"phone_number": "+4915224367929",
"email": "jsmith@example.com",
"address": "<string>",
"custom_1": "<string>",
"custom_2": "<string>",
"custom_3": "<string>",
"custom_4": "<string>",
"custom_5": "<string>",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
}
},
"user": {
"id": 123,
"name": "<string>",
"email": 123,
"roles": [
"<string>"
],
"permissions": [
"<string>"
],
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
},
"latest_message": {
"id": 123,
"conversation_id": 123,
"user_id": 123,
"contents": [
"<unknown>"
],
"agent_reaction": "<string>",
"customer_reaction": "<string>",
"sent_at": "2023-01-01T12:00:00Z",
"reference": "<unknown>",
"latest_error": {
"id": 123,
"message_id": 123,
"original_message": "<string>",
"created_at": "2023-01-01T12:00:00Z"
},
"whatsapp_campaign": {
"id": 123,
"name": "<string>"
}
},
"latest_customer_message": {
"id": 123,
"conversation_id": 123,
"user_id": 123,
"contents": [
"<unknown>"
],
"agent_reaction": "<string>",
"customer_reaction": "<string>",
"sent_at": "2023-01-01T12:00:00Z",
"reference": "<unknown>",
"latest_error": {
"id": 123,
"message_id": 123,
"original_message": "<string>",
"created_at": "2023-01-01T12:00:00Z"
},
"whatsapp_campaign": {
"id": 123,
"name": "<string>"
}
},
"last_customer_reply_from": "2023-01-01T12:00:00Z",
"latest_note": {
"id": 123,
"conversation_id": 123,
"text": "<string>",
"created_at": "2023-01-01T12:00:00Z",
"updated_at": "2023-01-01T12:00:00Z"
},
"unread_customer_messages_count": 123,
"reply_until": "2023-01-01T12:00:00Z",
"reply_possible": true,
"customer_interaction_required": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Success
A conversation between an agent and a customer. Assignable to a user to mark who is actively managing the conversation.
Show child attributes
Show child attributes
⌘I
Snooze a conversation for a given amount of minutes and seconds.
When time is over, status will change to "to-do" and a webhook of type "conversation-snoozed" will be sent.
Use null or 0 to remove.
Caution: scheduler will check every minute.
